<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="2.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" >
<xsl:output method="xhtml" xpath-default-namespace="http://www.w3.org/1999/xhtml" indent="yes" omit-xml-declaration="yes"/>
<xsl:template match="/">
<xsl:text disable-output-escaping='yes'>&lt;!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"&gt;</xsl:text>
<html xsl:version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns="http://www.w3.org/1999/xhtml" xml:lang="en">
<head>
<meta http-equiv="X-UA-Compatible" content="IE=8" />
<title>OZN68Dv16 - Oznamenie 68</title>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
<meta name="language" content="sk-SK" />
<style type="text/css">
body { 
	font-family: 'Open Sans', 'Segoe UI', 'Trebuchet MS', 'Geneva CE', lucida, sans-serif;
	background-color:transparent;
	color: #646464;
}
.ui-tabs {
	padding: .2em;
	position: relative;
	zoom: 1;
}
.ui-widget-content {
	background: #f9f9f9;
	border: 2px solid #d4d4d4;
	color: #3e3e3e;
	-webkit-border-radius: 5px;
	-moz-border-radius: 5px;
	-ms-border-radius: 5px;
	-o-border-radius: 5px;
	border-radius: 5px
}
.ui-widget-header {					 
	font-weight: 400;	
	border: 1px solid #5f5247;
	background-color: #5f5247;
	color: #fff;
	-webkit-border-radius: 5px;
	-moz-border-radius: 5px;
	-ms-border-radius: 5px;
	-o-border-radius: 5px;
	border-radius: 5px
}								
.clear { clear: both; }
.layoutMain {
	margin: 0px auto;
	padding: 5px 5px 5px 5px;	
}				
.layoutRow { margin-bottom: 5px; }				
.caption { /*width: 100%; border-bottom: solid 1px black;*/ }
.nocaption > .caption { border: 0px !important; }
.nocaption > .caption span {
	background: none !important;
	display: none;
} 
.caption .title { padding-left: 5px; }
.headercorrection {	
	margin: 0px;
}				
.labelVis {
	float: left;
	font-weight: bold;
	font-family: 'Open Sans', 'Segoe UI', 'Trebuchet MS', 'Geneva CE', lucida, sans-serif;
	line-height: 25px;
	margin: 0px 18px 0px 0px;
	padding: 0;
	width: 190px;
}
.contentVis {    	     
	float: left;	
	line-height: 25px;
	margin: 0px;
	padding: 0px;
	vertical-align: top;			
}
.wordwrap { 
   white-space: pre-wrap;      
   white-space: -moz-pre-wrap; 
   white-space: -pre-wrap;     
   white-space: -o-pre-wrap;   
   word-wrap: break-word;      
}				
</style>
</head>
<body>
<div id="main" class="layoutMain">
<xsl:for-each select="/OZN68Dv16">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">OZN68Dv16</div>
</div>
<xsl:if test="/OZN68Dv16/PrvaSekcia/text()"><div><label class="labelVis">PrvaSekcia: </label><span class="contentVis wordwrap"><xsl:value-of select="./PrvaSekcia"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:for-each select="/OZN68Dv16/sekciaIcoDic">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">sekciaIcoDic</div>
</div>
<xsl:if test="/OZN68Dv16/sekciaIcoDic/sk/text()"><div><label class="labelVis">SK: </label><span class="contentVis wordwrap"><xsl:value-of select="./sk"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/OZN68Dv16/sekciaIcoDic/dic/text()"><div><label class="labelVis">IČ DPH: </label><span class="contentVis wordwrap"><xsl:value-of select="./dic"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/OZN68Dv16/sekciaIcoDic/ico/text()"><div><label class="labelVis">IČO: </label><span class="contentVis wordwrap"><xsl:value-of select="./ico"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:for-each select="/OZN68Dv16/sekciaUdajePlatitela">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">sekciaUdajePlatitela</div>
</div>
<xsl:for-each select="/OZN68Dv16/sekciaUdajePlatitela/sekciaFO">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">sekciaFO</div>
</div>
<xsl:if test="/OZN68Dv16/sekciaUdajePlatitela/sekciaFO/priezviskoFO/text()"><div><label class="labelVis">Priezvisko: </label><span class="contentVis wordwrap"><xsl:value-of select="./priezviskoFO"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/OZN68Dv16/sekciaUdajePlatitela/sekciaFO/menoFO/text()"><div><label class="labelVis">Meno: </label><span class="contentVis wordwrap"><xsl:value-of select="./menoFO"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/OZN68Dv16/sekciaUdajePlatitela/sekciaFO/titulPredFO/text()"><div><label class="labelVis">Titul (pred menom): </label><span class="contentVis wordwrap"><xsl:value-of select="./titulPredFO"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/OZN68Dv16/sekciaUdajePlatitela/sekciaFO/titulZaFO/text()"><div><label class="labelVis">Titul (za priezviskom): </label><span class="contentVis wordwrap"><xsl:value-of select="./titulZaFO"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:for-each select="/OZN68Dv16/sekciaUdajePlatitela/sekciaPO">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">sekciaPO</div>
</div>
<xsl:if test="/OZN68Dv16/sekciaUdajePlatitela/sekciaPO/OMaNPO/text()"><div><label class="labelVis">Obchodné meno alebo názov: </label><span class="contentVis wordwrap"><xsl:value-of select="./OMaNPO"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:for-each select="/OZN68Dv16/sekciaUdajePlatitela/sekciaTrvalyPobyt">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">sekciaTrvalyPobyt</div>
</div>
<xsl:if test="/OZN68Dv16/sekciaUdajePlatitela/sekciaTrvalyPobyt/ulica/text()"><div><label class="labelVis">Ulica: </label><span class="contentVis wordwrap"><xsl:value-of select="./ulica"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/OZN68Dv16/sekciaUdajePlatitela/sekciaTrvalyPobyt/SOC/text()"><div><label class="labelVis">Súpisné/orientačné číslo: </label><span class="contentVis wordwrap"><xsl:value-of select="./SOC"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/OZN68Dv16/sekciaUdajePlatitela/sekciaTrvalyPobyt/psc/text()"><div><label class="labelVis">PSČ: </label><span class="contentVis wordwrap"><xsl:value-of select="./psc"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/OZN68Dv16/sekciaUdajePlatitela/sekciaTrvalyPobyt/Obec/text()"><div><label class="labelVis">Obec: </label><span class="contentVis wordwrap"><xsl:value-of select="./Obec"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/OZN68Dv16/sekciaUdajePlatitela/sekciaTrvalyPobyt/stat/text()"><div><label class="labelVis">Štát: </label><span class="contentVis wordwrap"><xsl:value-of select="./stat"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:for-each select="/OZN68Dv16/sekciaUdajePlatitela/sekciaAdresaPrevadzkarne">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">sekciaAdresaPrevadzkarne</div>
</div>
<xsl:if test="/OZN68Dv16/sekciaUdajePlatitela/sekciaAdresaPrevadzkarne/ulicaAP/text()"><div><label class="labelVis">Ulica: </label><span class="contentVis wordwrap"><xsl:value-of select="./ulicaAP"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/OZN68Dv16/sekciaUdajePlatitela/sekciaAdresaPrevadzkarne/SOCAP/text()"><div><label class="labelVis">Súpisné/orientačné číslo: </label><span class="contentVis wordwrap"><xsl:value-of select="./SOCAP"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/OZN68Dv16/sekciaUdajePlatitela/sekciaAdresaPrevadzkarne/pscAP/text()"><div><label class="labelVis">PSČ: </label><span class="contentVis wordwrap"><xsl:value-of select="./pscAP"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/OZN68Dv16/sekciaUdajePlatitela/sekciaAdresaPrevadzkarne/ObecAP/text()"><div><label class="labelVis">Obec: </label><span class="contentVis wordwrap"><xsl:value-of select="./ObecAP"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
</div>
</xsl:for-each>
<xsl:for-each select="/OZN68Dv16/sekciaDatum">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">sekciaDatum</div>
</div>
<xsl:for-each select="/OZN68Dv16/sekciaDatum/SekciaPomocna">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">SekciaPomocna</div>
</div>
<xsl:if test="/OZN68Dv16/sekciaDatum/SekciaPomocna/Datum2/text()"><div><label class="labelVis">Dátum začatia uplatňovania osobitnej úpravy podľa § 68d ods. 2: </label><span class="contentVis wordwrap"><xsl:call-template name="formatToSkDate"><xsl:with-param name="date" select="./Datum2" /></xsl:call-template></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/OZN68Dv16/sekciaDatum/SekciaPomocna/datum10/text()"><div><label class="labelVis">Dátum skončenia uplatňovania osobitnej úpravy podľa § 68d ods. 10: </label><span class="contentVis wordwrap"><xsl:call-template name="formatToSkDate"><xsl:with-param name="date" select="./datum10" /></xsl:call-template></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/OZN68Dv16/sekciaDatum/SekciaPomocna/datum11/text()"><div><label class="labelVis">Dátum skončenia uplatňovania osobitnej úpravy podľa § 68d ods. 11: </label><span class="contentVis wordwrap"><xsl:call-template name="formatToSkDate"><xsl:with-param name="date" select="./datum11" /></xsl:call-template></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
<xsl:for-each select="/OZN68Dv16/sekciaDatum/sekciaZO">
<div id="" class="layoutRow ui-tabs ui-widget-content" title="" >
<div class="caption ui-widget-header">
<div class="headercorrection">sekciaZO</div>
</div>
<xsl:if test="/OZN68Dv16/sekciaDatum/sekciaZO/mesiac/text()"><div><label class="labelVis">Mesiac: </label><span class="contentVis wordwrap"><xsl:value-of select="./mesiac"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/OZN68Dv16/sekciaDatum/sekciaZO/stvrtrok/text()"><div><label class="labelVis">Štvrťrok: </label><span class="contentVis wordwrap"><xsl:value-of select="./stvrtrok"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
<xsl:if test="/OZN68Dv16/sekciaDatum/sekciaZO/rok/text()"><div><label class="labelVis">Rok: </label><span class="contentVis wordwrap"><xsl:value-of select="./rok"/></span></div><div class="clear"></div></xsl:if>
<div class="clear"></div>
</div>
</xsl:for-each>
</div>
</xsl:for-each>
</div>
</xsl:for-each>
</div>
</body>
</html>
</xsl:template>
<xsl:template name="formatToSkDate">
<xsl:param name="date" />
<xsl:value-of select="concat(substring($date, 9, 2), '.', substring($date, 6, 2), '.', substring($date, 1, 4))" />
</xsl:template>
</xsl:stylesheet>

