<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" >
<xsl:output method="text" indent="yes" omit-xml-declaration="yes"/>
<xsl:strip-space elements="*" />
<xsl:template match="/dokument">
<xsl:text>OZN&#193;MENIE</xsl:text>
<xsl:apply-templates select="./hlavicka"/>
</xsl:template>
<xsl:template match="/dokument/hlavicka">
<xsl:text>&#xA;</xsl:text>
<xsl:text>&#09;</xsl:text><xsl:text>Identifikačn&#233; &#250;daje</xsl:text>
<xsl:apply-templates select="./icDph"/>
<xsl:apply-templates select="./ico"/>
<xsl:apply-templates select="./fo"/>
<xsl:apply-templates select="./po"/>
<xsl:apply-templates select="./adresaTrvPobytu"/>
<xsl:apply-templates select="./adresaPrevadzky"/>
<xsl:apply-templates select="./datumZacOds2"/>
<xsl:apply-templates select="./datumKonOds10"/>
<xsl:apply-templates select="./datumKonOds11"/>
<xsl:apply-templates select="./obdobieKoniec"/>
</xsl:template>
<xsl:template match="/dokument/hlavicka/fo">
<xsl:text>&#xA;</xsl:text>
<xsl:text>&#09;</xsl:text><xsl:text>&#09;</xsl:text><xsl:text>Fyzick&#225; osoba</xsl:text>
<xsl:apply-templates select="./priezvisko"/>
<xsl:apply-templates select="./meno"/>
<xsl:apply-templates select="./titul"/>
<xsl:apply-templates select="./titulZa"/>
</xsl:template>
<xsl:template match="/dokument/hlavicka/po">
<xsl:text>&#xA;</xsl:text>
<xsl:text>&#09;</xsl:text><xsl:text>&#09;</xsl:text><xsl:text>Pr&#225;vnick&#225; osoba</xsl:text>
<xsl:apply-templates select="./riadok"/>
</xsl:template>
<xsl:template match="/dokument/hlavicka/adresaTrvPobytu">
<xsl:text>&#xA;</xsl:text>
<xsl:text>&#09;</xsl:text><xsl:text>&#09;</xsl:text><xsl:text>Trval&#253; pobyt alebo miesto podnikania, ak je odlišn&#233; od trval&#233;ho pobytu (fyzick&#225; osoba) / S&#237;dlo (pr&#225;vnick&#225; osoba)</xsl:text>
<xsl:apply-templates select="./ulica"/>
<xsl:apply-templates select="./cislo"/>
<xsl:apply-templates select="./psc"/>
<xsl:apply-templates select="./obec"/>
<xsl:apply-templates select="./stat"/>
</xsl:template>
<xsl:template match="/dokument/hlavicka/adresaPrevadzky">
<xsl:text>&#xA;</xsl:text>
<xsl:text>&#09;</xsl:text><xsl:text>&#09;</xsl:text><xsl:text>Adresa prev&#225;dzkarne v SR, ak je s&#237;dlo pr&#225;vnickej osoby mimo &#250;zemia SR</xsl:text>
<xsl:apply-templates select="./ulica"/>
<xsl:apply-templates select="./cislo"/>
<xsl:apply-templates select="./psc"/>
<xsl:apply-templates select="./obec"/>
</xsl:template>
<xsl:template match="/dokument/hlavicka/obdobieKoniec">
<xsl:text>&#xA;</xsl:text>
<xsl:text>&#09;</xsl:text><xsl:text>&#09;</xsl:text><xsl:text>Zdaňovacie obdobie, v ktorom uplatňovanie osobitnej &#250;pravy skončilo</xsl:text>
<xsl:apply-templates select="./mesiac"/>
<xsl:apply-templates select="./stvrtrok"/>
<xsl:apply-templates select="./rok"/>
</xsl:template>
<xsl:template match="/dokument/hlavicka/icDph">
<xsl:if test="./text()">
<xsl:text>&#xA;</xsl:text>
<xsl:text>&#09;</xsl:text><xsl:text>&#09;</xsl:text><xsl:text>Identifikačn&#233; č&#237;slo pre DPH: </xsl:text><xsl:call-template name="string-replace-all"><xsl:with-param name="text" select="." /><xsl:with-param name="replace" select="'&#10;'" /><xsl:with-param name="by" select="'&#13;&#10;&#09;&#09;'" /></xsl:call-template>
</xsl:if>
</xsl:template>
<xsl:template match="/dokument/hlavicka/ico">
<xsl:if test="./text()">
<xsl:text>&#xA;</xsl:text>
<xsl:text>&#09;</xsl:text><xsl:text>&#09;</xsl:text><xsl:text>IČO: </xsl:text><xsl:call-template name="string-replace-all"><xsl:with-param name="text" select="." /><xsl:with-param name="replace" select="'&#10;'" /><xsl:with-param name="by" select="'&#13;&#10;&#09;&#09;'" /></xsl:call-template>
</xsl:if>
</xsl:template>
<xsl:template match="/dokument/hlavicka/fo/priezvisko">
<xsl:if test="./text()">
<xsl:text>&#xA;</xsl:text>
<xsl:text>&#09;</xsl:text><xsl:text>&#09;</xsl:text><xsl:text>&#09;</xsl:text><xsl:text>Priezvisko: </xsl:text><xsl:call-template name="string-replace-all"><xsl:with-param name="text" select="." /><xsl:with-param name="replace" select="'&#10;'" /><xsl:with-param name="by" select="'&#13;&#10;&#09;&#09;&#09;'" /></xsl:call-template>
</xsl:if>
</xsl:template>
<xsl:template match="/dokument/hlavicka/fo/meno">
<xsl:if test="./text()">
<xsl:text>&#xA;</xsl:text>
<xsl:text>&#09;</xsl:text><xsl:text>&#09;</xsl:text><xsl:text>&#09;</xsl:text><xsl:text>Meno: </xsl:text><xsl:call-template name="string-replace-all"><xsl:with-param name="text" select="." /><xsl:with-param name="replace" select="'&#10;'" /><xsl:with-param name="by" select="'&#13;&#10;&#09;&#09;&#09;'" /></xsl:call-template>
</xsl:if>
</xsl:template>
<xsl:template match="/dokument/hlavicka/fo/titul">
<xsl:if test="./text()">
<xsl:text>&#xA;</xsl:text>
<xsl:text>&#09;</xsl:text><xsl:text>&#09;</xsl:text><xsl:text>&#09;</xsl:text><xsl:text>Titul pred menom: </xsl:text><xsl:call-template name="string-replace-all"><xsl:with-param name="text" select="." /><xsl:with-param name="replace" select="'&#10;'" /><xsl:with-param name="by" select="'&#13;&#10;&#09;&#09;&#09;'" /></xsl:call-template>
</xsl:if>
</xsl:template>
<xsl:template match="/dokument/hlavicka/fo/titulZa">
<xsl:if test="./text()">
<xsl:text>&#xA;</xsl:text>
<xsl:text>&#09;</xsl:text><xsl:text>&#09;</xsl:text><xsl:text>&#09;</xsl:text><xsl:text>Titul za menom: </xsl:text><xsl:call-template name="string-replace-all"><xsl:with-param name="text" select="." /><xsl:with-param name="replace" select="'&#10;'" /><xsl:with-param name="by" select="'&#13;&#10;&#09;&#09;&#09;'" /></xsl:call-template>
</xsl:if>
</xsl:template>
<xsl:template match="/dokument/hlavicka/po/riadok">
<xsl:if test="./text()">
<xsl:text>&#xA;</xsl:text>
<xsl:text>&#09;</xsl:text><xsl:text>&#09;</xsl:text><xsl:text>&#09;</xsl:text><xsl:text>Obchodn&#233; meno alebo n&#225;zov: </xsl:text><xsl:call-template name="string-replace-all"><xsl:with-param name="text" select="." /><xsl:with-param name="replace" select="'&#10;'" /><xsl:with-param name="by" select="'&#13;&#10;&#09;&#09;&#09;'" /></xsl:call-template>
</xsl:if>
</xsl:template>
<xsl:template match="/dokument/hlavicka/adresaTrvPobytu/ulica">
<xsl:if test="./text()">
<xsl:text>&#xA;</xsl:text>
<xsl:text>&#09;</xsl:text><xsl:text>&#09;</xsl:text><xsl:text>&#09;</xsl:text><xsl:text>Ulica: </xsl:text><xsl:call-template name="string-replace-all"><xsl:with-param name="text" select="." /><xsl:with-param name="replace" select="'&#10;'" /><xsl:with-param name="by" select="'&#13;&#10;&#09;&#09;&#09;'" /></xsl:call-template>
</xsl:if>
</xsl:template>
<xsl:template match="/dokument/hlavicka/adresaTrvPobytu/cislo">
<xsl:if test="./text()">
<xsl:text>&#xA;</xsl:text>
<xsl:text>&#09;</xsl:text><xsl:text>&#09;</xsl:text><xsl:text>&#09;</xsl:text><xsl:text>S&#250;pisn&#233;/orientačn&#233; č&#237;slo: </xsl:text><xsl:call-template name="string-replace-all"><xsl:with-param name="text" select="." /><xsl:with-param name="replace" select="'&#10;'" /><xsl:with-param name="by" select="'&#13;&#10;&#09;&#09;&#09;'" /></xsl:call-template>
</xsl:if>
</xsl:template>
<xsl:template match="/dokument/hlavicka/adresaTrvPobytu/psc">
<xsl:if test="./text()">
<xsl:text>&#xA;</xsl:text>
<xsl:text>&#09;</xsl:text><xsl:text>&#09;</xsl:text><xsl:text>&#09;</xsl:text><xsl:text>PSČ: </xsl:text><xsl:call-template name="string-replace-all"><xsl:with-param name="text" select="." /><xsl:with-param name="replace" select="'&#10;'" /><xsl:with-param name="by" select="'&#13;&#10;&#09;&#09;&#09;'" /></xsl:call-template>
</xsl:if>
</xsl:template>
<xsl:template match="/dokument/hlavicka/adresaTrvPobytu/obec">
<xsl:if test="./text()">
<xsl:text>&#xA;</xsl:text>
<xsl:text>&#09;</xsl:text><xsl:text>&#09;</xsl:text><xsl:text>&#09;</xsl:text><xsl:text>Obec: </xsl:text><xsl:call-template name="string-replace-all"><xsl:with-param name="text" select="." /><xsl:with-param name="replace" select="'&#10;'" /><xsl:with-param name="by" select="'&#13;&#10;&#09;&#09;&#09;'" /></xsl:call-template>
</xsl:if>
</xsl:template>
<xsl:template match="/dokument/hlavicka/adresaTrvPobytu/stat">
<xsl:if test="./text()">
<xsl:text>&#xA;</xsl:text>
<xsl:text>&#09;</xsl:text><xsl:text>&#09;</xsl:text><xsl:text>&#09;</xsl:text><xsl:text>Št&#225;t: </xsl:text><xsl:call-template name="string-replace-all"><xsl:with-param name="text" select="." /><xsl:with-param name="replace" select="'&#10;'" /><xsl:with-param name="by" select="'&#13;&#10;&#09;&#09;&#09;'" /></xsl:call-template>
</xsl:if>
</xsl:template>
<xsl:template match="/dokument/hlavicka/adresaPrevadzky/ulica">
<xsl:if test="./text()">
<xsl:text>&#xA;</xsl:text>
<xsl:text>&#09;</xsl:text><xsl:text>&#09;</xsl:text><xsl:text>&#09;</xsl:text><xsl:text>Ulica: </xsl:text><xsl:call-template name="string-replace-all"><xsl:with-param name="text" select="." /><xsl:with-param name="replace" select="'&#10;'" /><xsl:with-param name="by" select="'&#13;&#10;&#09;&#09;&#09;'" /></xsl:call-template>
</xsl:if>
</xsl:template>
<xsl:template match="/dokument/hlavicka/adresaPrevadzky/cislo">
<xsl:if test="./text()">
<xsl:text>&#xA;</xsl:text>
<xsl:text>&#09;</xsl:text><xsl:text>&#09;</xsl:text><xsl:text>&#09;</xsl:text><xsl:text>S&#250;pisn&#233;/orientačn&#233; č&#237;slo: </xsl:text><xsl:call-template name="string-replace-all"><xsl:with-param name="text" select="." /><xsl:with-param name="replace" select="'&#10;'" /><xsl:with-param name="by" select="'&#13;&#10;&#09;&#09;&#09;'" /></xsl:call-template>
</xsl:if>
</xsl:template>
<xsl:template match="/dokument/hlavicka/adresaPrevadzky/psc">
<xsl:if test="./text()">
<xsl:text>&#xA;</xsl:text>
<xsl:text>&#09;</xsl:text><xsl:text>&#09;</xsl:text><xsl:text>&#09;</xsl:text><xsl:text>PSČ: </xsl:text><xsl:call-template name="string-replace-all"><xsl:with-param name="text" select="." /><xsl:with-param name="replace" select="'&#10;'" /><xsl:with-param name="by" select="'&#13;&#10;&#09;&#09;&#09;'" /></xsl:call-template>
</xsl:if>
</xsl:template>
<xsl:template match="/dokument/hlavicka/adresaPrevadzky/obec">
<xsl:if test="./text()">
<xsl:text>&#xA;</xsl:text>
<xsl:text>&#09;</xsl:text><xsl:text>&#09;</xsl:text><xsl:text>&#09;</xsl:text><xsl:text>Obec: </xsl:text><xsl:call-template name="string-replace-all"><xsl:with-param name="text" select="." /><xsl:with-param name="replace" select="'&#10;'" /><xsl:with-param name="by" select="'&#13;&#10;&#09;&#09;&#09;'" /></xsl:call-template>
</xsl:if>
</xsl:template>
<xsl:template match="/dokument/hlavicka/datumZacOds2">
<xsl:if test="./text()">
<xsl:text>&#xA;</xsl:text>
<xsl:text>&#09;</xsl:text><xsl:text>&#09;</xsl:text><xsl:text>D&#225;tum začatia uplatňovania osobitnej &#250;pravy podľa &#167; 68d ods. 2: </xsl:text><xsl:call-template name="string-replace-all"><xsl:with-param name="text" select="." /><xsl:with-param name="replace" select="'&#10;'" /><xsl:with-param name="by" select="'&#13;&#10;&#09;&#09;'" /></xsl:call-template>
</xsl:if>
</xsl:template>
<xsl:template match="/dokument/hlavicka/datumKonOds10">
<xsl:if test="./text()">
<xsl:text>&#xA;</xsl:text>
<xsl:text>&#09;</xsl:text><xsl:text>&#09;</xsl:text><xsl:text>D&#225;tum skončenia uplatňovania osobitnej &#250;pravy podľa &#167; 68d ods. 10: </xsl:text><xsl:call-template name="string-replace-all"><xsl:with-param name="text" select="." /><xsl:with-param name="replace" select="'&#10;'" /><xsl:with-param name="by" select="'&#13;&#10;&#09;&#09;'" /></xsl:call-template>
</xsl:if>
</xsl:template>
<xsl:template match="/dokument/hlavicka/datumKonOds11">
<xsl:if test="./text()">
<xsl:text>&#xA;</xsl:text>
<xsl:text>&#09;</xsl:text><xsl:text>&#09;</xsl:text><xsl:text>D&#225;tum skončenia uplatňovania osobitnej &#250;pravy podľa &#167; 68d ods. 11: </xsl:text><xsl:call-template name="string-replace-all"><xsl:with-param name="text" select="." /><xsl:with-param name="replace" select="'&#10;'" /><xsl:with-param name="by" select="'&#13;&#10;&#09;&#09;'" /></xsl:call-template>
</xsl:if>
</xsl:template>
<xsl:template match="/dokument/hlavicka/obdobieKoniec/mesiac">
<xsl:if test="./text()">
<xsl:text>&#xA;</xsl:text>
<xsl:text>&#09;</xsl:text><xsl:text>&#09;</xsl:text><xsl:text>&#09;</xsl:text><xsl:text>Mesiac: </xsl:text><xsl:call-template name="string-replace-all"><xsl:with-param name="text" select="." /><xsl:with-param name="replace" select="'&#10;'" /><xsl:with-param name="by" select="'&#13;&#10;&#09;&#09;&#09;'" /></xsl:call-template>
</xsl:if>
</xsl:template>
<xsl:template match="/dokument/hlavicka/obdobieKoniec/stvrtrok">
<xsl:if test="./text()">
<xsl:text>&#xA;</xsl:text>
<xsl:text>&#09;</xsl:text><xsl:text>&#09;</xsl:text><xsl:text>&#09;</xsl:text><xsl:text>Štvrťrok: </xsl:text><xsl:call-template name="string-replace-all"><xsl:with-param name="text" select="." /><xsl:with-param name="replace" select="'&#10;'" /><xsl:with-param name="by" select="'&#13;&#10;&#09;&#09;&#09;'" /></xsl:call-template>
</xsl:if>
</xsl:template>
<xsl:template match="/dokument/hlavicka/obdobieKoniec/rok">
<xsl:if test="./text()">
<xsl:text>&#xA;</xsl:text>
<xsl:text>&#09;</xsl:text><xsl:text>&#09;</xsl:text><xsl:text>&#09;</xsl:text><xsl:text>Rok: </xsl:text><xsl:call-template name="string-replace-all"><xsl:with-param name="text" select="." /><xsl:with-param name="replace" select="'&#10;'" /><xsl:with-param name="by" select="'&#13;&#10;&#09;&#09;&#09;'" /></xsl:call-template>
</xsl:if>
</xsl:template>
<xsl:template name="formatToSkDate">
<xsl:param name="date" />
<xsl:variable name="dateString" select="string($date)" />
<xsl:choose>
<xsl:when test="$dateString != '' and string-length($dateString)=10 and string(number(substring($dateString, 1, 4))) != 'NaN' ">
<xsl:value-of select="concat(substring($dateString, 9, 2), '.', substring($dateString, 6, 2), '.', substring($dateString, 1, 4))" />
</xsl:when>
<xsl:otherwise>
<xsl:value-of select="$dateString"></xsl:value-of>
</xsl:otherwise>
</xsl:choose>
</xsl:template>
<xsl:template name="booleanCheckboxToString">
<xsl:param name="boolValue" />
<xsl:variable name="boolValueString" select="string($boolValue)" />
<xsl:choose>
<xsl:when test="$boolValueString = 'true' ">
<xsl:text>Áno</xsl:text>
</xsl:when>
<xsl:when test="$boolValueString = 'false' ">
<xsl:text>Nie</xsl:text>
</xsl:when>
<xsl:otherwise>
<xsl:value-of select="$boolValueString"></xsl:value-of>
</xsl:otherwise>
</xsl:choose>
</xsl:template>
<xsl:template name="formatTimeTrimMinutes">
<xsl:param name="time" />
<xsl:variable name="timeString" select="string($time)" />
<xsl:if test="$timeString != ''">
<xsl:value-of select="substring($timeString, 1, 5)" />
</xsl:if>
</xsl:template>
<xsl:template name="string-replace-all">
<xsl:param name="text"/>
<xsl:param name="replace"/>
<xsl:param name="by"/>
<xsl:choose>
<xsl:when test="contains($text, $replace)">
<xsl:value-of select="substring-before($text,$replace)"/>
<xsl:value-of select="$by"/>
<xsl:call-template name="string-replace-all">
<xsl:with-param name="text" select="substring-after($text,$replace)"/>
<xsl:with-param name="replace" select="$replace"/>
<xsl:with-param name="by" select="$by" />
</xsl:call-template>
</xsl:when>
<xsl:otherwise>
<xsl:value-of select="$text"/>
</xsl:otherwise>
</xsl:choose>
</xsl:template>
<xsl:template name="formatToSkDateTime">
<xsl:param name="dateTime" />
<xsl:variable name="dateSubstring" select="substring($dateTime, 1, 10)" />
<xsl:variable name="timeSubstring" select="substring($dateTime, 12, 8)" />
<xsl:variable name="dateString">
<xsl:choose>
<xsl:when test="$dateSubstring != '' and string-length($dateSubstring)=10 and string(number(substring($dateSubstring, 1, 4))) != 'NaN' ">
<xsl:value-of select="concat(substring($dateSubstring, 9, 2), '.', substring($dateSubstring, 6, 2), '.', substring($dateSubstring, 1, 4))" />
</xsl:when>
<xsl:otherwise>
<xsl:value-of select="$dateSubstring"></xsl:value-of>
</xsl:otherwise>
</xsl:choose>
</xsl:variable>
<xsl:variable name="timeString">
<xsl:if test="$timeSubstring != ''">
<xsl:value-of select="substring($timeSubstring, 1, 5)" />
</xsl:if>
</xsl:variable>
<xsl:value-of select="concat($dateString,' ',$timeString)"/>
</xsl:template>
</xsl:stylesheet>

